Is anyone else experiencing arena problem right now, or is it just me? I can't log in to the arena.

Codeforces celebrates 10 years! We are pleased to announce the crowdfunding-campaign. Congratulate us by the link https://codeforces.com/10years.
×

# | User | Rating |
---|---|---|

1 | MiFaFaOvO | 3681 |

2 | tourist | 3404 |

3 | TLE | 3356 |

4 | apiadu | 3351 |

5 | mnbvmar | 3281 |

6 | LHiC | 3276 |

7 | Um_nik | 3268 |

8 | 300iq | 3267 |

9 | yosupo | 3249 |

10 | ainta | 3226 |

# | User | Contrib. |
---|---|---|

1 | Errichto | 190 |

2 | antontrygubO_o | 186 |

3 | tourist | 182 |

4 | Radewoosh | 168 |

5 | vovuh | 167 |

6 | pikmike | 166 |

7 | ko_osaga | 161 |

8 | Um_nik | 160 |

9 | Petr | 155 |

10 | McDic | 153 |

Is anyone else experiencing arena problem right now, or is it just me? I can't log in to the arena.

↑

↓

Codeforces (c) Copyright 2010-2020 Mike Mirzayanov

The only programming contests Web 2.0 platform

Server time: Feb/20/2020 06:24:40 (g1).

Desktop version, switch to mobile version.

Supported by

User lists

Name |
---|

Auto comment: topic has been updated by jonathanirvings (previous revision, new revision, compare).same here

Ah okay. That's a relief.

I just tried web arena too, and no luck :(

Me too

Also can't log in.

Tagging cgy4ever

is it rated?

Me too...

TopCoder forum is down as well.

Same problem here. I noticed it when I tried to open a problem.

Me too. Then I noticed that there are no updates in the chat window. Then I suspected that my Internet connection is down, so I tried to open Codeforces. Then, I restarted arena. It couldn't log in.

There goes my chance to gain ratings :(

Haha, I also wonder how many points I would get by solving nothing

In Round 3A, I lost 6 points (2380 -> 2374) for solving nothing.

But you are red in topcoder, I am the lowest rated guy in the (not working) contest = P

I was able to read Easy, but the connection downed, and it is not working now.

I've managed to read Hard, and then got the same problems.

I can't login..

I was working on poor Internet connection.

I worried about my rating.

Found this CF article.

???

PROFIT

First my compile requests did timeout, then I have noticed Burunduk1 also complaining about compilation problems, then I tried to say "me too" and it was not shown, then I could not login at all, and could not access the website either.

I guess this is going to be unrated. Poor task authors...

I guess by now it definitely requires a rematch. Question is when?

Also is this safe to discuss the problems now?

I think no. There is not any official announcement from Topcoder.

I'd wait to be safe. We can speculate on rematch date though. According to rules last time I read them it is same time, next day

Also according to the rules, sometimes TC admins may have to adjust things, which will be the case this time, rematch definitely won't be tomorrow. We will post more information once we have determined the best course of action.

It would be sad if it would be next Saturday

Probably isn't.... not official yet, but thinking probably two weeks from now.

Trying our best to make sure we have good problems to use, that weren't written by someone who is eligible to compete, etc, etc.

The day of Warsaw event?

See my comment at the bottom of the thread, it'll be between pittsburg and wildcard, that saturday

Same here...

t-mac Could you officially confirm that today's round is cancelled?

Confirmed. (At least, so far as official TCO advancement and ratings are concerned.)

Thanks a lot!

I am on an airplane now. It will be lucky for me if this round is procrastinated.

I think that's a sign:))However, if you are on a plane, then how could you write here? Or it hasn't departed yet?

There is wifi here

Actually I got a response from my tweet instead. Not very helpful though :(

https://twitter.com/Topcoder/status/898948295996964865

The arena seems to be working now.

The contest appeared again also.

I can log in now. The contest is not available anymore and t-mac replied to my question what is going to happen that they are 'talking internally'.

Edit: the round just became available

we are working on this and figuring out the solution. thanks for your patience and stay tuned!

Message in the arena:

"The tournament round today won't count, but I'm leaving it up for fun/practice, unrated of course. We are determining internally how to handle a replacement round, and will notify everyone as soon as we can."

Official updates are coming on the TC site, and there will be e-mail notification, etc, but the replacement 3B will take place on Sept 9th.

Note that the day before is the Pittsburg regional event, and the day after is the regional Wildcard round: So, busy weekend, but will be a fun one!

Did you mean Sep 9th, which is a Saturday?

yes he does, that is my bad :)

emails going out soon!

My initial plan was to go to Poland to hunt a slot for wildcard in case I fail in 3B.

Now the decision is more difficult. Should I go to Poland to increase the probability of qualification?

Going from Japan to Poland to

get a chanceto win a trip to some onsite. OMGWhat about going to Poland simply because it is a nice place? :)

Are you really serious or are you just making jokes ;p? Btw don't go to Warsaw event, don't destroy my hopes xD.

I was serious. In Japan, many teams go abroad to get slots for ICPC WF. Why don't you go abroad for TCO? But this year I won't go.

I've been to Poland once for no reason. When I visited Berlin, I had a day off. Then I decided to take a train to Frankfurt (Oder) and go to Slubice on foot.

In Poland teams travel abroad to get ICPC slots also, but there is a difference between 6 teams travelling from Poland to e.g. Croatia with whole stay covered by university and travelling probably alone from Japan to Poland paying for whole trip from own funds in order to get a chance to get a chance to qualify to TCO. But if you want to then probably it can be fun in some way ;p.

That's different. Polish teams travel abroad because our regionals happen to be abroad that year. You travel because you have to. Japanese teams travel abroad because of the weird way ICPC works in Asia. Even though there is a Japanese regional contest, the Japanese (and also other Asian) teams may go compete in other regionals instead, possibly with different teams from the same university competing in different regionals. This can be a strategic decision.

TCO10-12 (at least) had the following rule:

In the event that a round must be cancelled for any reason, the round will start the following day at the same time.I am rather unhappy that this rule no longer exists -- Sept 9th is not very good for me, while reserving the next day is usually easier :(What happens if someone qualifies both to the Finals and the Wildcard Round? Is the Wildcard Round spot given to the next competitor?

"while reserving the next day is usually easier" — huh? If you pick a day x then probability that I have no plans on day x+1 is significantly smaller than on day x+21, even when conditioned that I was able to write a contest on day x. And I thought that similar would be true for others as well.

The problem is with going to various kinds of trips. Especially for difficult rounds such as this one, doing a round during a trip may be mostly pointless for some reason (due to bad Internet access, noises, people thinking it is fine if they are talking loudly, interrupting you, or making fun of you, having to bring your computer and keyboard with you, etc.). Trips usually take more than one day. On the other hand, local events tend to be easier to cancel or to be late for. Also, assuming that the rule exists and you know about it, you can arrange the next day to be free just in case :)

I know a pattern for 1000 with

l≥ 4: 1 - 0 - (b- 1) - (b- 1) - ... - (b- 1) - (b- 2) - (b- 1). Is it easy to handle forl= 2, 3?L= 2 is easy (brute force all ratios from 2 tob- 1).I think

L= 3 is the main part.By the way, if you find a short solution, you can just append zeroes to get longer solutions.

You can add 0 at the end of your answer. So you only need to find the shortest one.

For

L= 2, the answer should be . Ifb≠ 3 andb+ 1 is not a prime number, The shortest answer is 2.For

L= 3, there are 4 cases.pb^{2}+qb+r|qb^{2}+pb+r.pb^{2}+qb+r|(qb^{2}+pb+r) - (pb^{2}+qb+r) = (q-p)(b- 1)b. So you can enumerate the value ofq-pand find the divisors of (q-p)b(b- 1).pb^{2}+qb+r|rb^{2}+qb+p.pb^{2}+qb+r|(r-p)(b^{2}- 1). It is similar to the first case.pb^{2}+qb+r|qb^{2}+rb+p. Letx=qb+r,y=p.k(yb^{2}+x) =xb+y. Sox/y= (kb^{2}- 1) / (b-k). You only need to enumeratek, and find gcd ofkb^{2}- 1 andb-k.pb^{2}+qb+r|rb^{2}+pb+q. It is similar to the third case.Tip: if you remove all "*" signs then your post will be 3 times more readable. Even better, you can write

qb^{2}instead ofq*b*bIf you really want to put there multiplying dot then \cdot is the thing you are looking for ->q·b·bfixed. :D

Were the constraints for 500 intentionally lowered to allow DP solutions? Max flow solution seems to be much easier to implement, however the constraints strongly suggest that the intended solution was exponential DP since max flow could work with much larger N, M or box size.

Can you explain your flow solution?

If there's no valid path from upper-left to lower-right corner, there must be a "blocking path" from left/bottom to right/top, more precisely it should have the following properties:

max(|r_{1}-r_{2}|, |c_{1}-c_{2}|) ≤ 2 should hold (such that 2x2 box can't be squeezed in between two consecutive cells).So the problem becomes equivalent to

"remove minimum number of obstacles such that there's no blocking path", this is the same as finding a min-cut in the graph where we split each cell into two, add edge of capacity 1 between two copies of the cell and then add edges with infinite capacity between any two cells which can be consecutive in a blocking path (and also add some edges to/from sink/source for cells in the rows/columns close to the boundaries).That's a nice solution. I've coded it up in the practice room and it passes system tests.

If I'm correct, both passed solutions to 500 submitted during the round utilize the fact that, at any moment, one only needs to remember the last two unblocked cells on our path.

Is there any simple proof of this?

Completely wrong due to my faulty logicNot sure exactly what you mean, but I think the 2x2 box should never enter a cell more than once, unless the block passes through 0 additional blocked squares between the two entries.

For example, in the following test case:

where the single # close to the middle is entered twice.

The following is not a formal proof, but one that seems good enough for me :) Suppose that we need to remember three cells, let's name them a, b and c. Then the path must first visit a for the first time, then b for the first time, then c for the first time, then a for the second time, then b for the second time and finally c for the second time (if the path was for example abcbac then we could take a 'shortcut' between the two a's, costing at most two instead of one, but saving the cost of b). If we need to start in one corner and end in the opposite corner, then (for topological reasons) this structure (abcabc) is not possible without the path crossing itself (try it on paper), so we never need to remember three cells.

Below are two examples. The first example shows that we do need to remember two cells and the second example shows that if the destination (or source) is not on the border, then we need to remember more cells. The second example can be extended to any number of cells that need to be remembered (if the grid can be large enough). In the examples S stands for source, D for destination and lowercase letters for initially blocked cells that need to be removed in the optimal path.

EDIT: krijgertje was faster :)

My explanation doesn't look formal enough, but anyway, here's my attempt.

Usually, like Case 1, simple Dijkstra works. The cost to move the square from position

pto positionqis the number of cells that are covered byqbut not byp.It fails only when things like Case 2 happens. We shouldn't count the cell A twice.

This pattern can be nested in more complicated ways. In Case 3, we have to keep both A and B before reaching A for the second time.

In Case 4, do we have to remember three cells? No. Instead of using A+B+C, we can use A+C+D to achieve the same cost.

Let's call a cell "special" when the cell is visited twice. Suppose that in some case we have to remember three special cells. Call them A, B, C in the order of first visits. Then, the second visit to A must be after the first visits to B and C (otherwise we can remember B or C after we discard A). Possible cases are:

In (2) to (6), we can find a "shortcut path" like Case 4. (1) never happens. As in the picture on the bottom, the square will be trapped into a closed region.

There's a very peculiar similarity between Med and Hard: "Consider all 6 permutations of length 3. Each of them works for some reason."